summaryrefslogtreecommitdiffstats
path: root/network/transmission/transmission.SlackBuild
diff options
context:
space:
mode:
author Vasilis Papavasileiou <el03020@mail.ntua.gr>2010-05-11 15:01:37 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:01:37 +0200
commit747e62b37ba05521cfe1042fc2d517bdbc2e9e8c (patch)
treef4940ae51810bfc36db69111d1bf3ffe9e1c9407 /network/transmission/transmission.SlackBuild
parent38ee9adc8bed3fd9d3d4d2328fb0639b3002935f (diff)
downloadslackbuilds-747e62b37ba05521cfe1042fc2d517bdbc2e9e8c.tar.gz
slackbuilds-747e62b37ba05521cfe1042fc2d517bdbc2e9e8c.tar.xz
network/transmission: Initial import
Diffstat (limited to 'network/transmission/transmission.SlackBuild')
-rw-r--r--network/transmission/transmission.SlackBuild66
1 files changed, 66 insertions, 0 deletions
diff --git a/network/transmission/transmission.SlackBuild b/network/transmission/transmission.SlackBuild
new file mode 100644
index 0000000000..ca4d78cac4
--- /dev/null
+++ b/network/transmission/transmission.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for transmission
+# Written by Vasilis Papavasileiou <el03020 at mail dot ntua dot gr>
+# Modified by the SlackBuilds.org project
+# (assumed to be in public domain per our submission policy)
+
+PRGNAM=transmission
+ORIG_PRGNAM=Transmission
+VERSION=0.6.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS LICENSE NEWS README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $ORIG_PRGNAM-$VERSION
+tar -xzvf $CWD/$ORIG_PRGNAM-$VERSION.tar.gz || exit 1
+cd $ORIG_PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Patch mk/common.mk so that we can install cleanly (with DESTDIR)
+patch -p1 <$CWD/Makefile.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz